### Method

# Ide Runtime create_runner

#### Declaration

    IdeRunner*
    ide_runtime_create_runner (
      IdeRuntime* self,
      IdeBuildTarget* build_target
    )

#### Description

Creates a new runner that can be used to execute the build target within the runtime. This should be used to implement such features as “run target” or “run unit test” inside the target runtime.

If `build_target` is `NULL`, the runtime should create a runner that allows the caller to specify the binary using the `IdeRunner` API.

Available since: | 3.32

#### Parameters

`build_target` | `IdeBuildTarget`
| An `IdeBuildTarget` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeRunner`
| An `IdeRunner` if successful, otherwise `NULL` and `error` is set.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.